import { t as toPrimitive, o as objectDefineProperty } from './normalize-component-1b2cdbb6.js';
import { x as createPropertyDescriptor } from './well-known-symbol-50ce04e7.js';

var createProperty = function (object, key, value) {
  var propertyKey = toPrimitive(key);
  if (propertyKey in object) objectDefineProperty.f(object, propertyKey, createPropertyDescriptor(0, value));
  else object[propertyKey] = value;
};

export { createProperty as c };
